package de.apps4ics.mountainnavigation.pois;

/**
 * Created by Vinz on 03.11.2015.
 */
public class CellReception extends Poi {
    int strength;
    String opName;
    String opCountry;
    int roaming;
    String nwType;

    public CellReception(long _id) {
        super(_id, Types.CELL_RECEPTION);
    }
    public CellReception(){
        super(Types.CELL_RECEPTION);
    }
    public CellReception(long _id, int strength, String opName, String opCountry, int roaming, String nwType, DbGeoPoint gp){
        super(_id, Types.CELL_RECEPTION, gp);
        this.strength = strength;
        this.opName = opName;
        this.opCountry = opCountry;
        this.roaming = roaming;
        this.nwType = nwType;
    }

    public int getStrength() {
        return strength;
    }

    public String getOpName() {
        return opName;
    }

    public String getOpCountry() {
        return opCountry;
    }

    public int getRoaming() {
        return roaming;
    }

    public String getNwType() {
        return nwType;
    }
}
